<nav class="navbar navbar-expand-lg navbar-light bg-dark border-bottom">
	<h2 class="page-title text-light">Members</h2>
</nav>

<div class="container-fluid">
	<div class="py-3 float-left search">
		<input type="text" class="form-control search-input" [(ngModel)]="idToSearch" placeholder="Search by id">
	</div>
	<div class="py-3 mx-3 float-left search">
		<a (click)="searchById(idToSearch)" class="pl-3 btn btn-primary text-light">Search</a>
	</div>
	<div class="py-3 mr-3 float-left search">
		<a (click)="clearSearch()" class="pl-3 btn btn-danger text-light">Clear</a>
	</div>

	<div>
		<table class="table table-bordered">
			<thead class="thead-dark">
				<tr>
					<th>Id</th>
					<th>First name</th>
					<th>Last name</th>
					<th>Age</th>
					<th>Member role</th>
					<th>Address Id</th>
					<th>Library Id</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody *ngIf="members">
				<tr *ngFor="let member of members">
					<td>{{ member.id }}</td>
					<td>{{ member.firstName }}</td>
					<td>{{ member.lastName }}</td>
					<td>{{ member.age }}</td>
					<td>{{ member.role }}</td>
					<td class="speech-bubble" title="{{ member.address }}">{{ member.addressId }}</td>
					<td class="speech-bubble" title="{{ member.library }}">{{ member.libraryId }}</td>
					<td>
						<a style="cursor: pointer;" (click)="editMember(member)">
							<clr-icon shape="note" size="30"></clr-icon>
						</a>
						<a style="cursor: pointer;" (click)="removeMember(member)">
							<clr-icon shape="trash" size="30"></clr-icon>
						</a>
					</td>
				</tr>
			</tbody>
		</table>

		<h4 class="form-group">Add/Edit Member</h4>
		<form class="w-75" (ngSubmit)="submitMember()">
			<div class="form-group row">
				<label for="firstName" class="col-sm-2 col-form-label">First name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="firstName" [(ngModel)]="memberForm.firstName" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="lastName" class="col-sm-2 col-form-label">Last name</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="lastName" [(ngModel)]="memberForm.lastName" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="age" class="col-sm-2 col-form-label">Age</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="age" [(ngModel)]="memberForm.age" [ngModelOptions]="{standalone: true}">
				</div>
			</div>
			<div class="form-group row">
				<label for="role" class="col-sm-2 col-form-label">Member role</label>
				<div class="col-sm-10">
					<select class="custom-select mr-sm-2" id="role" [(ngModel)]="memberForm.role" [ngModelOptions]="{standalone: true}" disabled="{{ readonly == 'readonly' ? true : false }}">
						<option value="LIBRARIAN">Librarian</option>
						<option value="MEMBER">Member</option>
					  </select>
				</div>
			</div>
			<div class="form-group row">
				<label for="addressId" class="col-sm-2 col-form-label">Address Id</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="addressId" [(ngModel)]="memberForm.addressId" [ngModelOptions]="{standalone: true}" readonly="{{ readonly }}">
				</div>
			</div>
			<div class="form-group row">
				<label for="libraryId" class="col-sm-2 col-form-label">Library Id</label>
				<div class="col-sm-10">
					<input type="text" class="form-control" id="libraryId" [(ngModel)]="memberForm.libraryId" [ngModelOptions]="{standalone: true}" readonly="{{ readonly }}">
				</div>
			</div>
			<button type="submit" class="btn btn-primary">Submit</button>
			<a (click)="clearForm()" class="m-3 btn btn-danger text-light" [ngClass]="{'disabled': disabled}">Cancel edit</a>
		</form>
	</div>
</div>